/* HERO */

.heading__hidden {
    position: absolute;
    left: -2000px;
}

.section__hero {
    height: 120vh;
    padding-top: 4rem;
}

.hero {
    background-image: url('../assets/hero-xs.webp');
    background-size: cover;
    background-position: top right;
    border-radius: 20px;
    background-color: var(--secondary);
    width: 100%;
    height: 100%;
    box-shadow: rgba(33, 35, 38, 0.3) 0px -10px 9px -10px;
}

/* PROFILE */


.section__profile {
    padding-bottom: 1.5rem;
}


.heading {
    font-family: 'Roboto Serif', serif;
    font-size: var(--step-1);
    font-weight: 600;
    margin-top: 3rem;
    margin-bottom: 1.5rem;
}

.divider {
    background-color: var(--accent);
    width: 0.2rem;
    height: 4rem;
}

.text {
    font-size: var(--step-0);
}

.divider.bottom {
    margin-top: 3rem;
}

/* PROJECTS */

.section__projects {
    row-gap: 2rem;
}


.project__image__container {
    position: relative;
    width: calc(100vw - 2rem);
    aspect-ratio: 0.7;

}

.project {
    position: relative;

}

.project__image {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
    opacity: 0;
    transition: opacity 0.7s ease-in-out;
    box-shadow: rgba(33, 35, 38, 0.3) 0px -10px 9px -10px;
}

.project__image.active {
    opacity: 1;
}

.project__title {
    position: absolute;
    background-color: var(--primary);
    padding: 0.5rem;
    width: calc(100% - 4rem);
    bottom: -1px;
    margin-left: 2rem;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    padding-bottom: 1.5rem;
    padding-top: 0.75rem;
    z-index: 10;
}

.project__description {
    font-size: var(--step--1);
}

.project__nav {
    position: absolute;
    bottom: 0;
    align-self: center;
    display: flex;
    column-gap: 0.5rem;
    row-gap: 0.5rem;
    justify-content: center;
    width: 100%;
    z-index: 11;

}

.dot {
    width: 0.8rem;
    height: 0.8rem;
    border-radius: 50%;
    background: var(--neutral);
    cursor: pointer;
    display: inline-block;
}

.dot.active {
    background: var(--accent);
}

.slider-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 24px;
    user-select: none;
    z-index: 11;
    height: 3rem;
    width: 1.5rem;
    background-color: var(--primary);
}

.slider-arrow.left {
    left: 0rem;
    border-radius: 0 400px 400px 0;

}

.slider-arrow.right {
    right: 0rem;
    border-radius: 400px 0 0 400px;

}


/* CONTACT */

.contact__container {
    display: flex;
    flex-direction: column;
    font-size: var(--step-1);
}

.contact {
    width: 100%;
    padding-top: 2rem;
    padding-bottom: 2rem;
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
    align-items: center;
}

a.contact:hover {
    color: var(--accent);
}

.last {
    padding-bottom: 0;
}

.contact__text>:nth-child(2) {
    color: var(--neutral);
}

.contact>img {
    width: 5rem;
    height: 5rem;
}


/* FOOTER */

.section__footer {
    padding-bottom: 1rem;
}

.footer {
    background-color: var(--secondary);
    border-radius: 20px;
    width: 100%;
    color: var(--primary);
    font-size: var(--step--1);
    padding: 3rem 1.5rem 1.5rem 1.5rem;
    display: flex;
    justify-content: space-between;
    overflow: hidden;
}

.footer__wrapper {
    width: 100%;
}

.text__bold {
    font-weight: 600;
    margin-bottom: 0.25rem;
}

.footer__company-seat,
.divider-dot {
    display: none;
}

.footer__company-info {
    margin-bottom: 1.5rem;
}

.footer__logo {
    position: absolute;
    width: 10rem;
    height: 10rem;
    bottom: -2rem;
    right: -2rem;
    z-index: 1;
    opacity: 0.05;
}

@media screen and (min-width: 400px) {
    .project__title {
        padding-bottom: 2.5rem;
        padding-top: 1.5rem;
    }


}


@media screen and (min-width: 768px) {

    .section__profile {
        padding-left: 15%;
        padding-right: 15%;
    }

    .project__image {
        aspect-ratio: 1.6;
    }

    .project__nav {
        right: 0.5rem;
        flex-direction: column;
        bottom: 0.75rem;
        width: auto;
    }


    .dot {
        background-color: var(--primary);
    }

    .project__title {
        width: 22rem;
        padding-bottom: 2rem;
        text-align: left;
        padding-left: 2rem;
        height: auto;
        align-self: flex-start;
    }

    .project__description {
        font-size: var(--step-0);
    }

    .project__image__container {
        aspect-ratio: 1.6;
    }


    .project:nth-of-type(4n - 3)>.project__title {
        right: -1px;
        border-top-right-radius: 0;
    }

    .project:nth-of-type(4n - 3) .dot:not(.dot.active) {
        background-color: var(--neutral);
    }

    .project:nth-of-type(4n - 2)>.project__image__container>.project__image,
    .project:nth-of-type(4n)>.project__image__container>.project__image {
        box-shadow: rgba(33, 35, 38, 0.3) 0px 10px 9px -10px;
    }

    .project:nth-of-type(4n - 2)>.project__title {
        top: -1px;
        right: -1px;
        bottom: auto;
        border-top-left-radius: 0;
        border-bottom-left-radius: 20px;

    }


    .project:nth-of-type(4n - 1)>.project__title {
        left: -1px;
        bottom: -1px;
        margin-left: 0;
        border-bottom-right-radius: 0;
        border-top-left-radius: 0;
    }

    .project:nth-of-type(4n)>.project__title {
        left: -1px;
        top: -1px;
        bottom: auto;
        margin-left: 0;
        border-top-right-radius: 0;
        border-bottom-right-radius: 20px;

    }

    #slider1 .image__top {
        object-position: top;
    }

}

@media screen and (min-width: 1024px) {
    .section__hero {
        padding-top: 7rem;
    }

    .hero {
        background-image: url("../assets/hero.webp");
        background-position: top;
    }

    .contact__container {
        flex-direction: row;
        justify-content: space-between;
        width: 100%;
    }

    .contact__container> :nth-child(2) {

        order: -1;
    }

    .section__footer {
        padding-bottom: 3rem;
    }

    .footer {
        text-align: left;
        padding: 3rem;
        font-size: var(--step-0);
    }

    .footer__company-seat,
    .divider-dot {
        display: block;
        margin-bottom: 0.5rem;
    }

    .footer__company-info {
        margin-bottom: 0;
    }

    .footer__text__wrapper {
        display: flex;
    }

    .ico {
        display: none;
    }

    .footer__cookies {
        margin-top: 0.5rem;
    }

    .text__bold {
        margin-bottom: 0.5rem;
    }

    .footer__logo {
        width: 14rem;
        height: 14rem;
    }


}

@media screen and (min-width: 1280px) {
    .section__profile {
        padding-left: 25%;
        padding-right: 25%;
    }

    .section__hero {
        height: 110vh;
    }

    .project {
        width: 70%;
        max-width: 1280px;
    }

    .project__image__container {
        width: 100%;
    }

    .footer__logo {
        position: relative;
        opacity: 1;
        right: 0;
        bottom: 0;
    }

}

@media screen and (min-width: 1500px) {

    .section__contact {
        padding-left: 15%;
        padding-right: 15%;
    }
}

@media screen and (min-width: 1500px) {
    .section__profile {
        padding-left: 30%;
        padding-right: 30%;
    }
}